import routerService from '@/common/services/router-service'
import flowService from '@/webflow/flow-service'
// 知识库
routerService.route('/sd-frame').child('km-knowledage-base', {
  component: './km-knowledage-base.vue',
})
// 知识库---知识查看
routerService.routeInFrame('km-knowledage-view', {
  component: './km-knowledage-view.vue',
})
// 原子知识
routerService.routeInFrame('km-atom-knowledage', {
  component: './km-atom-knowledage',
})
// 知识库 --- 知识投稿
flowService.addFlowForm('vue:knowledge/contribution/kmKnowledge', './km-knowledage-form.vue')
// 知识借阅
flowService.addFlowForm('vue:knowledge/kmborrow/kmBorrow', './km-knowledge-borrow.vue')
// 知识推荐
flowService.addFlowForm('vue:knowledge/kmRecommend/KmRecommend', './km-knowledge-recommend.vue')

routerService.route('/km-flow-guide', {
  component: '../../components/km-flow-guide.vue',
})
